<solidify-empty-container
    (onEscape)="backToList()"
    solidifyShortCuts
>
  <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                  [formPresentational]="formPresentational"
                                  [mode]="'create'"
  >
  </solidify-button-toolbar-detail>

  <div [solidifySpinner]="isLoadingWithDependencyObs | async"
       class="wrapper"
  >
    <dlcm-admin-organizational-unit-form #formPresentational
                                         *ngIf="isReadyToBeDisplayedInCreateModeObs | async"
                                         [defaultPlatformLicenseId]="(systemPropertyObs | async)?.defaultLicense"
                                         [listDisseminationPolicies]="listDisseminationPoliciesObs | async"
                                         [listPreservationPolicies]="listPreservationPoliciesObs | async"
                                         [listRole]="listRoleObs | async"
                                         [listSubmissionPolicies]="listSubmissionPoliciesObs | async"
                                         [listManagedInstitution]="listManagedInstitutionObs | async"
                                         [subjectAreaSources]="subjectAreaSourcesObs | async"
                                         [selectedFundingAgencies]="selectedFundingAgenciesObs | async"
                                         [selectedInstitutions]="selectedInstitutionsObs | async"
                                         [selectedPersonRole]="selectedPersonRole"
                                         [isAdminOrRoot]="securityService.isRootOrAdmin()"
                                         [solidifyFocusFirstElement]="true"
                                         [urlQueryParameters]="urlQueryParameters"
                                         [currentLanguage]="currentLanguageObs | async"
                                         (checkAvailableChange)="checkAvailable($event)"
                                         (dirtyChange)="updateCanDeactivate($event)"
                                         (navigate)="navigate($event)"
                                         (submitChange)="create($event)"
    >
    </dlcm-admin-organizational-unit-form>
  </div>
</solidify-empty-container>
